# Generated from base32.rb-0.4.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name base32.rb

Name: rubygem-%{gem_name}
Version: 0.4.2
Release: 1%{?dist}
Summary: Ruby extension for base32 encoding and decoding
License: MIT
URL: https://github.com/ydakuka/base32.rb
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(gem-release) >= 2.0
# BuildRequires: rubygem(gem-release) < 3
# BuildRequires: rubygem(minitest) >= 5.11
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(rubocop) >= 0.73
# BuildRequires: rubygem(rubocop) < 1
# BuildRequires: rubygem(rubocop-performance) >= 1.5
# BuildRequires: rubygem(rubocop-performance) < 2
BuildArch: noarch

%description
Base32 is one of several base 32 transfer encodings. Base32 uses a
32-character set comprising the twenty-six upper-case letters A–Z, and the
digits 2–7. Base32 is primarily used to encode binary data, but Base32 is also
able to encode binary text like ASCII. Base32 is a notation for encoding
arbitrary byte data using a restricted set of symbols that can be conveniently
used by humans and processed by computers. Base32 consists of a symbol set
made up of 32 different characters, as well as an algorithm for encoding
arbitrary sequences of 8-bit bytes into the Base32 alphabet. Because more than
one 5-bit Base32 symbol is needed to represent each 8-bit input byte, it also
specifies requirements on the allowed lengths of Base32 strings (which must be
multiples of 40 bits). The closely related Base64 system, in contrast, uses a
set of 64 symbols.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.rubocop_todo.yml
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE
%{gem_instdir}/config
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/base32.gemspec
%{gem_instdir}/test

%changelog
* Mon Aug 23 2021 mockbuilder - 0.4.2-1
- Initial package
